
<mat-toolbar>
  <button
    mat-icon-button
    (click)="drawer.toggle()"
  >
    <mat-icon>menu</mat-icon>
  </button>
  <span>Bienvenido</span>
</mat-toolbar>

<mat-drawer-container
  class="main-container"
  autosize>
  <mat-drawer
    #drawer
    class="sidenav"
    mode="side"
  >
    <mat-list
      *ngFor="let option of options"
    >
      <mat-list-item
        class="option-selectable"
        (click)="redirect(option.path)"
      >
        {{option.name}}
      </mat-list-item>
      <mat-divider></mat-divider>
    </mat-list>
    <mat-list
      class="bottom"
    >
      <mat-list-item class="option-selectable" (click)="logOut()">
        Logout
      </mat-list-item>
      <mat-divider></mat-divider>
    </mat-list>
  </mat-drawer>
  <div
    class="p-2"
  >
    <router-outlet></router-outlet>
  </div>
</mat-drawer-container>